Page MenuHomePhabricator

Use python2 interpreter explicitly.
ClosedPublic

Authored by demon on Jan 20 2016, 6:45 PM.

Details

Reviewers
thcipriani
mmodell
Group Reviewers
Release-Engineering-Team
Commits
rMSCAacf7270536d7: Use python2 interpreter explicitly.
Patch without arc
git checkout -b D102 && curl -L https://phabricator.wikimedia.org/D102?download=true | git apply
Summary

We were just using /usr/bin/python, blindly assuming that
the default python is going to be python2, which is a very
bad assumption in these modern times.

Test Plan

run any of the scap binaries on a system with python3 installed as the default python

Diff Detail

Repository
rMSCA Scap
Branch
master
Lint
Lint OK
Unit
Unit Tests OK
Build Status
Buildable 285
Build 387: test harbormaster with jenkinsJenkins
Build 386: arc lint + arc unit

Event Timeline

mmodell updated this revision to Diff 292.Jan 20 2016, 6:45 PM
mmodell retitled this revision from to Use python2 interpreter explicitly..
mmodell updated this object.
mmodell edited the test plan for this revision. (Show Details)
mmodell added reviewers: thcipriani, demon.
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptJan 20 2016, 6:45 PM
mmodell updated this revision to Diff 293.Jan 20 2016, 6:47 PM
mmodell edited edge metadata.

push to staging so gerrit can test it ;)

thcipriani requested changes to this revision.Jan 25 2016, 8:22 PM
thcipriani edited edge metadata.

Per this morning's deployment cabal meeting, update to: /usr/bin/python2

This revision now requires changes to proceed.Jan 25 2016, 8:22 PM

Per this morning's deployment cabal meeting, update to: /usr/bin/python2

One alternative to doing this across the board would be to have a system-python-bin patch in debian/patches.

mmodell updated this revision to Diff 319.Jan 28 2016, 5:35 PM
mmodell edited edge metadata.

use /usr/bin/python2.

Also, update copyright date to 2016

Restricted Application added a project: Release-Engineering-Team. · View Herald TranscriptJan 28 2016, 5:35 PM
demon edited edge metadata.Jan 29 2016, 4:27 PM

Missed bin/compile-wikiversions and possibly setup.py? Otherwise lgtm.

demon requested changes to this revision.Jan 29 2016, 4:28 PM
demon edited edge metadata.
This revision now requires changes to proceed.Jan 29 2016, 4:28 PM
demon updated this object.Jan 29 2016, 5:23 PM
demon edited edge metadata.
demon commandeered this revision.Jan 29 2016, 5:28 PM
demon edited reviewers, added: mmodell; removed: demon.

Because I can!

demon updated this revision to Diff 333.Jan 29 2016, 5:28 PM
demon edited edge metadata.
  • Consistently use python2 everywhere and explicitly in compile-wikiversions
thcipriani accepted this revision.Jan 29 2016, 5:44 PM
thcipriani edited edge metadata.

Works for me.

This revision is now accepted and ready to land.Jan 29 2016, 5:44 PM
This revision was automatically updated to reflect the committed changes.